Package org.kie.api.marshalling

# Interface Marshaller

public interface Marshaller

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MarshallingConfiguration`
  `getMarshallingConfiguration()`
  `void`
  `marshall(OutputStream stream, KieSession ksession)`
  Marshalls the given KieSession into the provided OutputStream
  `KieSession`
  `unmarshall(InputStream stream)`
  Creates KieSession using default KieSessionConfiguration and Environment.
  `void`
  `unmarshall(InputStream stream, KieSession ksession)`
  Unmarshall the stream into the KieSession.
  `KieSession`
  `unmarshall(InputStream stream, KieSessionConfiguration config, Environment environment)`
  Creates KieSession using the given KieSessionConfiguration and Environment.

- ## Method Details

  - ### marshall

    void marshall(OutputStream stream, KieSession ksession) throws IOException
    Marshalls the given KieSession into the provided OutputStream
    Parameters:
      `stream` -
      `ksession` -
    Throws:
      `IOException`

  - ### unmarshall

    KieSession unmarshall(InputStream stream) throws IOException, ClassNotFoundException
    Creates KieSession using default KieSessionConfiguration and Environment. It will then unmarshall the stream into the session. Either KieSessionConfiguration or Environment may be null and it will use the default.
    Parameters:
      `stream` -
    Returns:
      unmarshlled KieSession
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### unmarshall

    KieSession unmarshall(InputStream stream, KieSessionConfiguration config, Environment environment) throws IOException, ClassNotFoundException
    Creates KieSession using the given KieSessionConfiguration and Environment. It will then unmarshall the stream into the session. Either KieSessionConfiguration or Environment may be null and it will use the default.
    Parameters:
      `stream` -
      `config` -
      `environment` -
    Returns:
      unmarshalled KieSession
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### unmarshall

    void unmarshall(InputStream stream, KieSession ksession) throws IOException, ClassNotFoundException
    Unmarshall the stream into the KieSession. All existing state in the session will be lost.
    Parameters:
      `stream` -
      `ksession` -
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### getMarshallingConfiguration

    MarshallingConfiguration getMarshallingConfiguration()
    Returns:
      the `MarshallingConfiguration` object for this marshaller.